#include <LiquidCrystal.h>
#include <Servo.h>
Servo servoMotor;
// LCD modülün Arduino pinlerne bağlantısı.
const int rs = 12, en = 11, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

void setup() {
  lcd.begin(16, 2); //LCD modülün satır ve sütün sayısı.
  servoMotor.attach(9);
  pinMode(13, OUTPUT); // Fan bağlı pin.
}

void loop() {
  int analogGirisDegeri = analogRead(A0); //A0 girişini oku.
  lcd.setCursor(0, 1);
  lcd.print(analogGirisDegeri); // Okunan analog değerini ekrana yaz.
  if (analogGirisDegeri > 700) {
    servoMotor.write(90);
    lcd.setCursor(0, 1);
    lcd.print("fan aktif");
    digitalWrite(13, 1); // Fanı çalıştır.
  }
}
